Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## djbuch.kapitel_13
Class Db2QueryView

    java.lang.Object
      |
      +--djbuch.kapitel_13.Db2QueryView

All Implemented Interfaces:
  java.lang.Runnable

public class Db2QueryView
extends java.lang.Object
implements java.lang.Runnable

DB2 Query View -> SQL Daten werden über einen speziellen Notes View (QueryView) in Domino verfügbar gemacht. Lädt eine SQL Ansicht, die in Domino als DB2Query View geladen wird und zeigt die SQL Daten mit Domino Techniken an. Hierbei basiert die Ansicht V_NON_DOMINO_SQL_k13 auf reinen SQL Daten. Dagegen lädt die Ansicht V_DokumenteSQL_k13 SQL Daten aus DB2, die zuvor als DAV von Domino nach DB2 sichtbar gemacht wurden. Hieran lassen sich die Unterschiede erkennen, die sich für den QueryView ergeben: -> Stammen die Daten aus reinen SQL Daten, so stehen im Domino Document ViewEntry.getDocument() keine Items zur Verfügung. Nur über getColumnValues können die SQL Daten geladen werden. entry.getDocument().getItems().size() liefert hierbei 0. -> Stamm die Daten dagegen ursprünglich aus Domino und wurden per DAV in DB2 sichtbar gemacht, so liefert ViewEntry.getDocument() das ursprüngliche Document. entry.getDocument().getItems().size() liefert hierbei die Anzahl der Items im Document.

Author:
  Thomas Ekert

Constructor Summary
`Db2QueryView()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `run()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Db2QueryView

    public Db2QueryView()

Method Detail

### main

    public static void main(java.lang.String[] args)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD